Hello everyone!

I am really really new to the world of Mac so when someone offered me photoshop 6.0, illustrator 9.0 and InDesign 1.5 with upgrade to 2.0 I totally jumped at the chance, not realizing that my intel based IMac will not take the programs!!

I am wondering what my best option is in this case - should I just scrap the whole thing and forget about trying to make it work or should I upgrade to 7.0? And if I upgrade to 7.0 is there a way to make that work even though I won't have 6.0 installed on my computer?

I am soo lost. Thanks in advance!